/* FONTS */
@import url(../css/clash-display.css);

/* VARIABLES */
:root {
    --c-dark: #212529;
    --c-brand: #4e57d4;
    --c-brand-light: #6970dd;
    --c-brand-rgb: 78, 87, 212;
    --c-body: #727272;
    --font-base: "ClashDisplay", sans-serif;
    --box-shadow: 0px 15px 25px rgba(0,0,0,0.08);
    --transition: all 0.5s ease;
}

/* RESET & HELPERS */
body {
    font-family: var(--font-base);
    line-height: 1.7;
    color: var(--c-body);
}

h1, h2, h3,h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    font-weight: 600;
    color: var(--c-dark);
}

a {
    text-decoration: none;
    color: var(--c-brand);
    transition: var(--transition);
}

a:hover {
    color: var(--c-brand-light);
}

img {
    max-width: 100%;
    height: auto;
}

.section-padding {
    padding-top: 140px;
    padding-bottom: 140px;
}

.theme-shadow {
    box-shadow: var(--box-shadow);
}

/* IMAGE ZOOM */
.image-zoom {
    position: relative;
    /* overflow: hidden; */
}

.image-zoom-wrapper {
    overflow: hidden;
    position: relative;
}

.image-zoom-wrapper img{
     transition: var(--transition);
}

.image-zoom:hover .image-zoom-wrapper img {
    transform: scale(1.1);
}


/* NAVBAR */
.navbar {
    background-color: rgba(255, 255, 255, 0.3); 
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    position: fixed; 
    width: 100%; 
    top: 0; 
    z-index: 1000; 
}

.navbar-nav .nav-link {
    font-weight: 500;
    color: var(--c-dark);
}

.navbar-nav .nav-link.active {
    color: var(--c-brand);
}


/* BTN */
.btn {
    font-weight: 600;
    font-size: 14px;
    text-transform: uppercase;
    border-radius: 0;
    padding: 10px 24px;
}

.btn-brand {
    background-color: var(--c-brand);
    border-color: var(--c-brand);
    color: white;
}

.btn-brand:hover {
    background-color: var(--c-brand-light);
    border-color: var(--c-brand-light);
    color: white;
}


/* HERO */
#hero {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.507), rgba(var(--c-brand-rgb), 0.438)), url(../images/Fundo_Post.jpg);
    background-position: center;
    background-size: cover;
}


/* SECTION TITLE */
.section-title {
    margin-bottom: 60px;
}

.section-title .line {
    width: 60px;
    height: 4px;
    background-color: var(--c-brand);
    margin: 16px auto 24px auto;
}

.section-title p {
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
}


/* ICONBOX */
.iconbox {
    width: 70px;
    height: 70px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: rgba(var(--c-brand-rgb), 0.1);
    color: var(--c-brand);
    font-size: 34px;
    flex: none;
}

/* SERVICE */
.service {
    position: relative;
    overflow: hidden;
    z-index: 2;
}

.service::after {
    content: "";
    width: 40px;
    height: 40px;
    background: rgba(var(--c-brand-rgb), 0.2);
    position: absolute;
    bottom: 0;
    right: 0;
    transition: var(--transition);
}


.service:hover::after {
    width: 100%;
    height: 100%;
    background: var(--c-brand);
    z-index: -1;
}

.service:hover h5,
.service:hover p {
    color: white;
}

.service:hover .iconbox {
    background-color: rgba(255,255,255,0.2);
    color: white;
}

/* COUNTER */
#counter {
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.8), rgba(var(--c-brand-rgb), 0.8)), url(../images/counter.jpg);
    background-position: center;
    background-size: cover;
}

/* PORTFOLIO */
.portfolio-item .iconbox {
    background-color: var(--c-brand);
    color: white;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
}

.portfolio-item:hover .iconbox {
    opacity: 1;
    top: 50%;
}

/* REVIEW */
.review small {
    font-weight: 600;
    text-transform: uppercase;
    color: var(--c-brand);
}

.review-head {
    position: relative;
}

.review-head::after {
    content: "";
    width: 28px;
    height: 28px;
    position: absolute;
    bottom: -14px;
    background-color: white;
    transform: rotate(45deg);
}

/* TEAM */
.team-member-content {
    background-color: rgba(255, 255, 255, 0.2); 
    backdrop-filter: blur(10px); 
    position: absolute;
    top: -24px; 
    left: 50%;
    width: calc(100% - 50px);
    transform: translateX(-50%);
    padding: 24px;
    transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1); 
    opacity: 0;
}


.team-member:hover .team-member-content {
    opacity: 1;
    top: 24px;
}

#team .image-zoom-wrapper img {
    width: 360px;  /* Largura fixa */
    height: 530px; /* Altura fixa */
    object-fit: cover; 
    cursor: pointer;
}


/* CONTACT */
#contact {
    position: relative;
    z-index: 2;
}

#contact::after {
    content: "";
    width: 100%;
    height: 70%;
    background: linear-gradient(rgba(var(--c-brand-rgb), 0.8), rgba(var(--c-brand-rgb), 0.8)), url(../images/counter.jpg);
    background-position: center;
    background-size: cover;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;col-md-4 d-flex justify-content-center
}

#contact .form-control {
    border-radius: 0;
}

#contact .form-control:focus {
    box-shadow: none;
    border-color: var(--c-brand);
}

/* FOOTER */
footer {
    padding-top: 120px;
}

.footer-top {
    padding-bottom: 40px;
    border-bottom: 1px solid rgba(255,255,255,0.1);
}

.footer-bottom {
    padding-top: 40px;
    padding-bottom: 40px;
}


footer li,
footer p,
footer a {
    color: rgba(255,255,255,0.7);
}

footer ul {
    list-style: none;
    padding: 0;
}

footer .line {
    width: 40px;
    height: 4px;
    background-color: var(--c-brand);
    margin-top: 12px;
    margin-bottom: 24px;
}

.social-icons a {
    width: 40px;
    height: 40px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(255,255,255,0.1);
    border-radius: 100px;
}

.social-icons a:hover {
    background-color: var(--c-brand);
    color: white;
}

/* STYLE DA MUSICA*/
.audio-container {
    background: rgba(255, 255, 255, 0.5); 
    padding: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    width: 70%; 
    margin: 0 auto; 
    float: left;
}

audio {
    width: 100%;
    border-radius: 10px;
    background-color: transparent;
    outline: none;
    padding: 10px;
}

.audio-title {
    font-size: 1.2em;
    font-weight: bold;
    color: #333;
    margin-bottom: 10px;
}

/* youtube button */

#button_youtube {
    background-color: rgb(255, 255, 255); /* Fundo preto inicial */
    position: relative;
    padding: 5px 15px;
    display: flex;
    align-items: center;
    font-size: 17px;
    font-weight: 600;
    text-decoration: none;
    cursor: pointer;
    border: 1px solid rgb(255 0 0);
    border-radius: 25px;
    outline: none;
    overflow: hidden;
    color: rgb(255 0 0);
    transition: color 0.3s 0.1s ease-out, background-color 0.5s ease-out; /* Transição para a cor de fundo */
    text-align: center;
    margin-top: 55px;
    margin-left: px;
}

#button_youtube span {
    margin: 10px;
}

#button_youtube::before {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    content: "";
    border-radius: 50%;
    display: block;
    width: 20em;
    height: 20em;
    left: -5em;
    text-align: center;
    transition: box-shadow 0.5s ease-out; /* Transição para o box-shadow */
    z-index: -1;
}

#button_youtube:hover {
    color: #ffffff;
    border: 1px solid rgb(255 0 0);
    background-color: rgb(255 0 0); /* Cor de fundo vermelha no hover */
}

#button_youtube:hover::before {
    box-shadow: inset 0 0 0 10em rgb(255 0 0); /* Efeito de carregamento da sombra interna */
}

/* MENU DROPDONW */

.menu {
    font-size: 16px;
    line-height: 1.6;
    color: #000000 !important; /* A cor do texto é garantida como preta */
    width: fit-content;
    display: flex;
    list-style: none;
}

.menu a {
    text-decoration: none;
    color: inherit;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}

.menu .link {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    padding: 12px 36px;
    border-radius: 16px;
    overflow: hidden;
    transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.menu .link::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--c-brand);
    z-index: -1;
    transform: scaleX(0);
    transform-origin: left;
    transition: transform 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.menu .link svg {
    width: 14px;
    height: 14px;
    fill: #000000;
    transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.menu .item {
    position: relative;
}

.menu .item .submenu {
    display: flex;
    flex-direction: column;
    align-items: center;
    position: absolute;
    top: 100%;
    border-radius: 0 0 16px 16px;
    left: 0;
    width: 100%;
    overflow: hidden;
    border: 1px solid #000000;
    opacity: 0;
    visibility: hidden;
    transform: translateY(-12px);
    transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
    z-index: 1;
    pointer-events: none;
    list-style: none;
}

.menu .item:hover .submenu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    pointer-events: auto;
    border-top: transparent;
    border-color: var(--c-brand);
}

.menu .item:hover .link {
    color: #ffffff;
    border-radius: 16px 16px 0 0;
}

.menu .item:hover .link::after {
    transform: scaleX(1);
    transform-origin: right;
}

.menu .item:hover .link svg {
    fill: #ffffff;
    transform: rotate(-180deg);
}

.submenu .submenu-item {
    width: 100%;
    transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.submenu .submenu-link {
    display: block;
    padding: 12px 24px;
    width: 100%;
    position: relative;
    text-align: center;
    transition: all 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.submenu .submenu-item:last-child .submenu-link {
    border-bottom: none;
}

.submenu .submenu-link::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    transform: scaleX(0);
    width: 100%;
    height: 100%;
    background-color: var(--c-brand);
    z-index: -1;
    transform-origin: left;
    transition: transform 0.48s cubic-bezier(0.23, 1, 0.32, 1);
}

.submenu .submenu-link:hover:before {
    transform: scaleX(1);
    transform-origin: right;
}

.submenu .submenu-link:hover {
    color: #ffffff;
}
/* Tabela */
#tabela_album {
    width: 300px;
    height: 50px;
    border-collapse: collapse;
    margin: 5px auto;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    border-radius: 6px;
    overflow: hidden;
  }

 
  #tabela_album th {
    background-color: #333; 
    color: #fff;
    padding: 6px;
    text-align: center;
    font-size: 12px;
  }

  #tabela_album td {
    background-color: #f9f9f9; 
    padding: 6px;
    text-align: center;
    font-size: 12px;
    color: #333; 
  }


  #tabela_album tr:nth-child(even) td {
    background-color: #f1f1f1; 
  }


  #tabela_album tr:hover td {
    background-color: #e1e1e1;
  }



  .rodape{
    background-color: #000000;
    text-align: center;
    color: #e1e1e1;
    padding: 15px;
  }
>>>>>>> 79fb05490c52d2aae44412fdd8bcf2584d3597c7
